NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::GeometricUtilities::InteractiveSectionBuilder Class Reference

Represents a NXOpen::GeometricUtilities::InteractiveSectionBuilder . More...

Inheritance diagram for NXOpen::GeometricUtilities::InteractiveSectionBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void AppendPlane (const NXOpen::Point3d &point1, const NXOpen::Point3d &point2, const NXOpen::Point3d &origin, const NXOpen::Vector3d &normal)
 Appends a plane
Created in NX7.0.0. More...
 
void DeleteLast ()
 Deletes last point or the plane created
Created in NX7.0.0. More...
 
NXOpen::GeometricUtilities::SectionPlaneDataGetNthPlane (int index)
 Get the Nth plane. More...
 
int GetNumPlanes ()
 Get the number of planes. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::GeometricUtilities::InteractiveSectionBuilder .

The interactive section block uses 2 points to draw a line or a section.
Created in NX7.0.0.

Member Function Documentation

void NXOpen::GeometricUtilities::InteractiveSectionBuilder::AppendPlane ( const NXOpen::Point3d point1,
const NXOpen::Point3d point2,
const NXOpen::Point3d origin,
const NXOpen::Vector3d normal 
)

Appends a plane
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
point1Point 1 of the interactive line
point2Point 2 of the interactive line
originOrigin of the plane
normalNormal of the plane
void NXOpen::GeometricUtilities::InteractiveSectionBuilder::DeleteLast ( )

Deletes last point or the plane created
Created in NX7.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::SectionPlaneData* NXOpen::GeometricUtilities::InteractiveSectionBuilder::GetNthPlane ( int  index)

Get the Nth plane.

Returns
plane found at index
Created in NX7.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
Parameters
indexindex of the plane
int NXOpen::GeometricUtilities::InteractiveSectionBuilder::GetNumPlanes ( )

Get the number of planes.

Returns
number of planes
Created in NX7.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
virtual bool NXOpen::GeometricUtilities::InteractiveSectionBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.